/**
 * string-search
 * https://github.com/ospatil/string-search
 *
 * Copyright (c) 2015 Omkar Patil
 * Licensed under the MIT license.
 */
'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});
exports.find = find;

var _bluebird = require('bluebird');

function find() {
  for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
    args[_key] = arguments[_key];
  }

  if (args.length !== 2) {
    throw new TypeError('You must provide all arguments');
  }
  var targetStr = args[0];
  var patternStr = args[1];

  var results = [];
  var pattern = new RegExp(patternStr, 'gi');

  return new _bluebird.Promise(function (resolve) {
    targetStr.split('\n').forEach(function (value, index) {
      if (value.match(pattern)) {
        results.push({ line: index + 1, text: value });
      }
    });
    resolve(results);
  });
}